[![Gem Version](https://badge.fury.io/rb/integral.svg)][version-website]
[![Current Build Status](https://img.shields.io/circleci/project/github/yamasolutions/integral/master.svg)][ci-website] [![Inline docs](http://inch-ci.org/github/yamasolutions/integral.svg?branch=master)][docs-website]
# Integral CMS
![Integral CMS Features](https://integralrails.com/features.gif)

Integral is a CMS for Rails 5+. The aim of Integral is to lower the barrier of entry in creating websites, using Ruby on Rails, with all the bells and whistles that users have now come to expect.
Out of the box integral provides;
* Backend features
    * Professional design
    * Activity tracking
    * User notifications
    * User authentication & authorization
    * Page & Post management with full WYSWIYG editing
    * Image management (w/ background image processing)
    * List management
    * Settings management
* Frontend features
    * Dynamic Pages
    * Integrated Blog
    * SEO Ready
    * Contact form processing w/ HTML emails
    * Sitemap generation
* [Find out more...][integral-cms]

## Demo Now - Deploy a Sample App

[![Deploy](https://www.herokucdn.com/deploy/button.svg)](https://heroku.com/deploy?template=https://github.com/yamasolutions/integral-sample)

## Getting Started

Get a professional website up and running in minutes - Check out our [documentation website](https://integralrails.com/docs) for installation instructions and guides.

## Information

* [Integral Website][integral-cms]
* [Integral Docs](https://integralrails.com/docs)
* [CHANGELOG](https://github.com/yamasolutions/integral/blob/master/CHANGELOG.md)
* [Code Documentation][docs-website]
* [Wish list](https://github.com/yamasolutions/integral/wiki/Wish-List)


### Bug reporting
If you discover a problem with Integral, we would love to know about it. Please use the [GitHub issue tracker][github-issue-tracker] to contact us about it.

If you have discovered a security related bug, please do NOT use the GitHub issue tracker. Send an email to patrick@yamasolutions.com


### Looking for help
If you have any questions please feel free to use the [GitHub issue tracker][github-issue-tracker].


## Contributing
We love contributers! Please check out the [contributing guide][contributing-guide] for guidelines on how to proceed. Bug reports and pull requests are welcome on [Github][integral-github].


## Licence
Integral is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).


[integral-cms]: https://integralrails.com
[contributing-guide]: https://github.com/yamasolutions/integral/blob/master/docs/contributing.md
[integral-github]: https://github.com/yamasolutions/integral
[version-website]: https://rubygems.org/gems/integral
[ci-website]: https://circleci.com/gh/yamasolutions/integral/tree/master
[code-climate-website]: https://codeclimate.com/github/yamasolutions/integral
[docs-website]: https://www.rubydoc.info/github/yamasolutions/integral
[github-issue-tracker]: https://github.com/yamasolutions/integral/issues
